
Redmine - Defect #5985

Only hold one role at a time in a project

2010-07-29 03:29 - Michael Koch

Status: Closed Start date: 2010-07-29

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Wont fix Affected version:  

Description

I've noticed many users will assign themselves and others to multiple roles when they setup a project. It would be useful if users

could only be assigned to one role at a time, making the functionality of Redmine more apparent

History

#1 - 2010-07-29 03:31 - Michael Koch

related to #4814

http://www.redmine.org/issues/4814

#2 - 2010-07-29 23:01 - Holger Just

Up to Redmine 0.8.x, a user could only have exactly one role in a project. This way changed in Redmine 0.9 and higher to allow more fine-grained

roles.

#3 - 2010-08-06 02:01 - Eric Davis

- Status changed from New to Closed

- Resolution set to Wont fix

Redmine allows multiple roles so you can have more control over each user's permissions.  For example:

Client role with the permission to edit issues

File Manager role with the permission to upload files

If you give one user both roles, they can edit issues and also upload files.
